Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
strlcpy.c File Reference
`#include "ruby/missing.h"`
`#include <sys/types.h>`
`#include <string.h>`
Include dependency graph for strlcpy.c:

Go to the source code of this file.

## Functions
| if (n!=0 &&--n!=0)
| if (n==0)
| return (s-src-1)

## Variables
size_t char * | dst
const char * | src
size_t | siz
register const char * | s = src
register size_t | n = siz

## Function Documentation

if | ( | n! | = `0 && --n != 0` | ) |

Definition at line 54 of file strlcpy.c.

if | ( | n | = `= 0` | ) |

Definition at line 62 of file strlcpy.c.

return | ( | s-src- | 1 | ) |

## Variable Documentation

size_t char* dst

Definition at line 45 of file strlcpy.c.

register size_t n = siz

Definition at line 51 of file strlcpy.c.

register const char* s = src

Definition at line 50 of file strlcpy.c.

size_t siz

Definition at line 47 of file strlcpy.c.

const char* src

Definition at line 46 of file strlcpy.c.